Package org.eclipse.emf.spi.cdo

# Enum Class DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy

java.lang.Object
java.lang.Enum<DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy>
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy>`, `Constable`

Enclosing class:
  `DefaultCDOMerger.PerFeature.ManyValued`

public static enum DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy extends Enum<DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy>
Immutable policy for an effective UNSET that cannot coexist with concurrent effective mutation.

Since:
  4.30
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAIL_ON_CONCURRENT_MUTATION`
Report the incompatible set-state/content intents as a merge conflict.
`MERGE_AS_CLEAR`
Apply observed-remove content semantics and return SET if concurrent content survives.
`UNSET_WINS`
Select UNSET and therefore remove every merged occurrence.

## Method Summary

Modifier and Type
Method
Description
`static DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FAIL_ON_CONCURRENT_MUTATION

public static final DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy FAIL_ON_CONCURRENT_MUTATION
Report the incompatible set-state/content intents as a merge conflict.

### UNSET_WINS

public static final DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy UNSET_WINS
Select UNSET and therefore remove every merged occurrence.

### MERGE_AS_CLEAR

public static final DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy MERGE_AS_CLEAR
Apply observed-remove content semantics and return SET if concurrent content survives.

## Method Details

### values

public static DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null